/* ====================================================================
 * Copyright (c) 2007,      Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_RPVIEWTREEWIDGET_H
#define _SC_RPVIEWTREEWIDGET_H

// sc
class RpViewTree;
class RpViewModel;
class ActionStorage;

// qt
#include <QtGui/QWidget>
class QToolButton;
class QCheckBox;
class QLabel;


class RpViewTreeWidget : public QWidget
{
  typedef QWidget super;
  Q_OBJECT

public:
  RpViewTreeWidget( RpViewModel*, ActionStorage*, QWidget* parent );

public slots:
  void historyChange();

private:
  RpViewTree*  _tree;

  QToolButton* _back;
  QToolButton* _forward;

  //QCheckBox*   _updates;
  QLabel*      _version;
};


#endif // _SC_RPVIEWTREEWIDGET_H
