/* ====================================================================
 * Copyright (c) 2006,      Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_WCVIEW_H
#define _SC_WCVIEW_H

// sc
#include "util/Id.h"
class WcViewModel;
class TabWidget;
class ActionStorage;

// qt
#include <QtGui/QWidget>


class WcView : public QWidget
{
  typedef QWidget super;
  Q_OBJECT

public:
  WcView( ID id, WcViewModel* model, ActionStorage* actions, QWidget* parent );

  ID getId() const;

private:
  ID           _id;
  WcViewModel* _model;

  TabWidget*   _tabs;
};


#endif // _SC_WCVIEW_H
